MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001364Orfeo Toolbox (OTB)Generalpublic2017-02-22 20:412017-03-06 10:44
Reportervfdev-5 
Assigned Togpasero 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMac OSX El CaptainOSMacOSXOS Version5.10.0
Summary0001364: Crash of Mapla.app v5.10.0 on MacOSX El Captain 10.11.5
Description
After installation of the OTB binaries. Starting Mapla.app ends with a crash report. Log is presented in additional information.
Additional InformationLog:

Segmentation fault: 11
----------------------------------------------------------------------------------------------------------------

Process: mapla [6010]
Path: /Users/USER/Documents/*/mapla
Identifier: mapla
Version: 0
Code Type: X86-64 (Native)
Parent Process: bash [1644]
Responsible: Terminal [526]
User ID: 501

Date/Time: 2017-02-22 09:14:07.080 +0100
OS Version: Mac OS X 10.11.5 (15F34)
Report Version: 11

Time Awake Since Boot: 30000 seconds
Time Since Wake: 67 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000078

VM Regions Near 0x78:
-->
    __TEXT 0000000107b35000-0000000107b65000 [ 192K] r-x/rwx SM=COW /Users/USER/Documents/*

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0 libOTBApplicationEngine-5.10.1.dylib 0x000000010851e6b4 otb::Wrapper::Application::GetLogger() + 4
1 libOTBApplicationEngine-5.10.1.dylib 0x00000001085359f3 otb::Wrapper::CompositeApplication::AddApplication(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >) + 483
2 otbapp_BundleToPerfectSensor.dylib 0x0000000116b6e631 otb::Wrapper::BundleToPerfectSensor::DoInit() + 305
3 libOTBApplicationEngine-5.10.1.dylib 0x000000010851e816 otb::Wrapper::Application::Init() + 182
4 libOTBApplicationEngine-5.10.1.dylib 0x00000001085336b4 otb::Wrapper::ApplicationRegistry::LoadApplicationFromPath(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >, std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> >) + 276
5 libOTBApplicationEngine-5.10.1.dylib 0x0000000108533bcb otb::Wrapper::ApplicationRegistry::GetAvailableApplications(bool) + 1035
6 libOTBMonteverdiCore-5.10.1.dylib 0x0000000107cd2cae mvd::ApplicationsBrowser::GetAvailableApplications() + 30
7 libOTBMonteverdiCore-5.10.1.dylib 0x0000000107cd3323 mvd::ApplicationsBrowser::SearchAvailableApplicationsTags() + 83
8 libOTBMonteverdiGUI-5.10.1.dylib 0x0000000107b88925 mvd::AbstractModelController::SetModel(mvd::AbstractModel*) + 197
9 libQtCore.4.dylib 0x000000010cbc155b QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2363
10 libOTBMonteverdiCore-5.10.1.dylib 0x0000000107cd53d0 mvd::I18nCoreApplication::ModelChanged(mvd::AbstractModel*) + 64
11 mapla 0x0000000107b4c31f main + 287
12 libdyld.dylib 0x00007fff8df9c5ad start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0 libsystem_kernel.dylib 0x00007fff905a4efa kevent_qos + 10
1 libdispatch.dylib 0x00007fff8f541165 _dispatch_mgr_invoke + 216
2 libdispatch.dylib 0x00007fff8f540dcd _dispatch_mgr_thread + 52

Thread 2:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 3:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 4:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 5:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 6:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 7:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 8:
0 libsystem_kernel.dylib 0x00007fff905a45e2 __workq_kernreturn + 10
1 libsystem_pthread.dylib 0x00007fff91e0f578 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff91e0d341 start_wqthread + 13

Thread 9:: com.apple.NSEventThread
0 libsystem_kernel.dylib 0x00007fff9059df72 mach_msg_trap + 10
1 libsystem_kernel.dylib 0x00007fff9059d3b3 mach_msg + 55
2 com.apple.CoreFoundation 0x00007fff912b31c4 __CFRunLoopServiceMachPort + 212
3 com.apple.CoreFoundation 0x00007fff912b268c __CFRunLoopRun + 1356
4 com.apple.CoreFoundation 0x00007fff912b1ed8 CFRunLoopRunSpecific + 296
5 com.apple.AppKit 0x00007fff8d45ed95 _NSEventThread + 149
6 libsystem_pthread.dylib 0x00007fff91e0f99d _pthread_body + 131
7 libsystem_pthread.dylib 0x00007fff91e0f91a _pthread_start + 168
8 libsystem_pthread.dylib 0x00007fff91e0d351 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x00007fff580c9ab8 rbx: 0x0000000000000000 rcx: 0x00000000000fc000 rdx: 0x0000000000000005
  rdi: 0x0000000000000000 rsi: 0x00007fff580ca169 rbp: 0x00007fff580c9a60 rsp: 0x00007fff580c9a60
   r8: 0x0000000000000004 r9: 0x00007ff2494a4330 r10: 0x0000000070cc797a r11: 0xfffffffffffff950
  r12: 0x00007ff24a043000 r13: 0x00007fff580c9ab8 r14: 0x00007ff24a0432e0 r15: 0x00007fff580ca180
  rip: 0x000000010851e6b4 rfl: 0x0000000000010202 cr2: 0x0000000000000078
 
Logical CPU: 6
Error Code: 0x00000004
Trap Number: 14


Binary Images:
       0x107b35000 - 0x107b64ff7 +mapla (0) <EB9CD848-6710-360A-8489-8D63D3A88113> /Users/USER/Documents/*/mapla
       0x107b70000 - 0x107bfefff +libOTBMonteverdiGUI-5.10.1.dylib (0) <DD99E199-61E4-36D2-BA2A-8A5F542F4AEE> /Users/USER/Documents/*/libOTBMonteverdiGUI-5.10.1.dylib
       0x107c59000 - 0x107cf3ff7 +libOTBMonteverdiCore-5.10.1.dylib (0) <763CCD13-0922-3563-AA19-91D1CF01BD1B> /Users/USER/Documents/*/libOTBMonteverdiCore-5.10.1.dylib
       0x107d4b000 - 0x107d75ff7 +libOTBCarto-5.10.1.dylib (0) <180A6027-2F7F-35D7-8C02-709059E3E936> /Users/USER/Documents/*/libOTBCarto-5.10.1.dylib
       0x107d95000 - 0x107e42fff +libOTBIce-5.10.1.dylib (0) <973230E6-68F7-33D4-9D37-808EC92BCC80> /Users/USER/Documents/*/libOTBIce-5.10.1.dylib
       0x107eaf000 - 0x107ec2fff +libOTBStatistics-5.10.1.dylib (0) <0138689E-BE8C-31DE-8DC1-44F512F59298> /Users/USER/Documents/*/libOTBStatistics-5.10.1.dylib
       0x107ecb000 - 0x107ecffff com.apple.agl (3.3.1 - AGL-3.3.1) <4E401980-0F4F-33E2-A0CF-8C7CCF375F24> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
       0x107edb000 - 0x107f48fff +libGLEW.dylib (0) <ABC9C7AE-D588-3D72-9274-96D9593BC5AA> /Users/USER/Documents/*/libGLEW.dylib
       0x107f81000 - 0x107fd4ff7 +libOTBQtWidget-5.10.1.dylib (0) <32B79888-5DE6-3C10-A829-9978B5DD2807> /Users/USER/Documents/*/libOTBQtWidget-5.10.1.dylib
       0x10801d000 - 0x108625fff +libOTBApplicationEngine-5.10.1.dylib (0) <91A2DA97-98EA-3451-992D-F02627068E28> /Users/USER/Documents/*/libOTBApplicationEngine-5.10.1.dylib
       0x10898b000 - 0x10899bff7 +libOTBImageIO-5.10.1.dylib (0) <7CE1EF29-445B-3143-9EBA-D21700E2CD07> /Users/USER/Documents/*/libOTBImageIO-5.10.1.dylib
       0x1089a5000 - 0x1089bfff7 +libOTBIORAD-5.10.1.dylib (0) <AE665482-D936-347D-AAB9-8F8CA8F6A226> /Users/USER/Documents/*/libOTBIORAD-5.10.1.dylib
       0x1089d2000 - 0x1089ebff7 +libOTBIOONERA-5.10.1.dylib (0) <4714085E-8BA2-3AA0-B49E-420EC758AA5C> /Users/USER/Documents/*/libOTBIOONERA-5.10.1.dylib
       0x1089fd000 - 0x108a13ff7 +libOTBIOLUM-5.10.1.dylib (0) <1E545881-FD41-31D4-87FE-32718A70A9B6> /Users/USER/Documents/*/libOTBIOLUM-5.10.1.dylib
       0x108a1e000 - 0x108a33ff7 +libOTBIOMW-5.10.1.dylib (0) <38AC95E4-E8F6-3340-9FD0-0D3E11C252C2> /Users/USER/Documents/*/libOTBIOMW-5.10.1.dylib
       0x108a3f000 - 0x108a53fff +libOTBIOMSTAR-5.10.1.dylib (0) <B7450235-E504-3371-99E9-33C3554B008D> /Users/USER/Documents/*/libOTBIOMSTAR-5.10.1.dylib
       0x108a62000 - 0x108a7dff7 +libOTBIOBSQ-5.10.1.dylib (0) <CE79100E-108D-3951-A797-787A5704AB0F> /Users/USER/Documents/*/libOTBIOBSQ-5.10.1.dylib
       0x108a88000 - 0x108aa6ff7 +libOTBIOTileMap-5.10.1.dylib (0) <894A0151-DCC7-3AAD-9083-59C4B515210C> /Users/USER/Documents/*/libOTBIOTileMap-5.10.1.dylib
       0x108ab9000 - 0x108ac8fff +libOTBCurlAdapters-5.10.1.dylib (0) <00C3CC1D-2747-367B-BAD2-65BF01F3278E> /Users/USER/Documents/*/libOTBCurlAdapters-5.10.1.dylib
       0x108ad6000 - 0x108b1fff7 +libcurl.dylib (0) <7090D585-91C3-314E-8AA0-79949069BF4A> /Users/USER/Documents/*/libcurl.dylib
       0x108b31000 - 0x108b4cff7 +libOTBExtendedFilename-5.10.1.dylib (0) <6621A373-D916-3C5C-8FBC-1BA63E050579> /Users/USER/Documents/*/libOTBExtendedFilename-5.10.1.dylib
       0x108b5c000 - 0x108b6dfff +libOTBVectorDataIO-5.10.1.dylib (0) <4C1D60B7-B10A-35C3-B124-422E1167216F> /Users/USER/Documents/*/libOTBVectorDataIO-5.10.1.dylib
       0x108b79000 - 0x108bbcff7 +libOTBIOGDAL-5.10.1.dylib (0) <94A9ADFC-294B-3983-9C4E-DA7727C0F9F4> /Users/USER/Documents/*/libOTBIOGDAL-5.10.1.dylib
       0x108be6000 - 0x108bf4fff +libtinyxml.dylib (0) <5D8A4044-73BC-3F13-B348-DF4CD65C4174> /Users/USER/Documents/*/libtinyxml.dylib
       0x108c05000 - 0x108c43ff7 +libOTBIOKML-5.10.1.dylib (0) <6090E8AF-DA5A-3DB8-BFCF-7DC76AF9849F> /Users/USER/Documents/*/libOTBIOKML-5.10.1.dylib
       0x108c70000 - 0x108c96ff7 +libOTBProjection-5.10.1.dylib (0) <B76456D8-46D2-3846-9091-6CEFDEF4F837> /Users/USER/Documents/*/libOTBProjection-5.10.1.dylib
       0x108cb1000 - 0x108cbffff +libOTBImageManipulation-5.10.1.dylib (0) <81868B3E-D702-3A5A-8793-C7CA1032AF52> /Users/USER/Documents/*/libOTBImageManipulation-5.10.1.dylib
       0x108ccb000 - 0x108cdbff7 +libOTBStreaming-5.10.1.dylib (0) <5F304CC9-1BD6-34D9-955A-D62C4E66B1E8> /Users/USER/Documents/*/libOTBStreaming-5.10.1.dylib
       0x108cea000 - 0x108cf6fff +libOTBTransform-5.10.1.dylib (0) <2CF7F49D-5D84-3ED3-BE68-A73BEAC9B19E> /Users/USER/Documents/*/libOTBTransform-5.10.1.dylib
       0x108cfe000 - 0x108d20ff7 +libOTBGdalAdapters-5.10.1.dylib (0) <74C88E29-F0F1-3FF7-8512-AC05AA19FC32> /Users/USER/Documents/*/libOTBGdalAdapters-5.10.1.dylib
       0x108d38000 - 0x108d4aff7 +libOTBVectorDataBase-5.10.1.dylib (0) <4E17320B-1C66-33A2-B842-B2C42B940270> /Users/USER/Documents/*/libOTBVectorDataBase-5.10.1.dylib
       0x108d54000 - 0x108d70ff7 +libOTBImageBase-5.10.1.dylib (0) <B0C7C76F-F72B-3B20-9B99-B9935E6FD2CA> /Users/USER/Documents/*/libOTBImageBase-5.10.1.dylib
       0x108d85000 - 0x108e4fff7 +libOTBMetadata-5.10.1.dylib (0) <8CB0F898-4517-37C8-8EDA-6ED8CB303E49> /Users/USER/Documents/*/libOTBMetadata-5.10.1.dylib
       0x108e84000 - 0x108ea4fff +libOTBOSSIMAdapters-5.10.1.dylib (0) <945A1E22-322B-358E-9251-02F9124862DD> /Users/USER/Documents/*/libOTBOSSIMAdapters-5.10.1.dylib
       0x108ebc000 - 0x108eceff7 +libOTBCommon-5.10.1.dylib (0) <C2264A44-5603-33E8-B0FA-7A1AA6B965CF> /Users/USER/Documents/*/libOTBCommon-5.10.1.dylib
       0x108edf000 - 0x108ee0ff7 +libITKQuadEdgeMesh-4.10.1.dylib (0) <EF53B25A-3BF9-3CFF-A409-B1AE8F937EF0> /Users/USER/Documents/*/libITKQuadEdgeMesh-4.10.1.dylib
       0x108ee9000 - 0x108f64fff +libITKMetaIO-4.10.1.dylib (0) <3ED7A622-F6A2-39F1-A9D2-E90D2859D41E> /Users/USER/Documents/*/libITKMetaIO-4.10.1.dylib
       0x108f8b000 - 0x108f9dff7 +libz.1.dylib (0) <82A829FA-5ABB-32F9-9342-7FE6C4B075B0> /Users/USER/Documents/*/libz.1.dylib
       0x108fa7000 - 0x108fabff7 +libITKLabelMap-4.10.1.dylib (0) <DA3AE995-EF57-3901-9A65-74DA69940CD7> /Users/USER/Documents/*/libITKLabelMap-4.10.1.dylib
       0x108fb0000 - 0x108fcefff +libITKIOImageBase-4.10.1.dylib (0) <C9FAF92B-E4E0-3024-9D73-BCB7F7CC39F0> /Users/USER/Documents/*/libITKIOImageBase-4.10.1.dylib
       0x108fe0000 - 0x108fe4fff +libITKBiasCorrection-4.10.1.dylib (0) <843B3474-82F8-3D7A-9BA8-EF5A3FD5E08C> /Users/USER/Documents/*/libITKBiasCorrection-4.10.1.dylib
       0x108fec000 - 0x108ff2ff7 +libITKPolynomials-4.10.1.dylib (0) <E59D3AC6-056A-348C-86E9-1D5167BF8D49> /Users/USER/Documents/*/libITKPolynomials-4.10.1.dylib
       0x108ffe000 - 0x109008fff +libITKFFT-4.10.1.dylib (0) <5BA9CF13-F8B0-370E-B261-82311696C3B7> /Users/USER/Documents/*/libITKFFT-4.10.1.dylib
       0x109013000 - 0x1090efff7 +libfftw3.3.dylib (0) <583D3150-0022-3FFE-9D15-E2C045AE205D> /Users/USER/Documents/*/libfftw3.3.dylib
       0x109107000 - 0x10910aff7 +libfftw3_threads.3.dylib (0) <2319EE1F-F671-39E0-AE7E-68C294E267DB> /Users/USER/Documents/*/libfftw3_threads.3.dylib
       0x109113000 - 0x1091e9ff7 +libfftw3f.3.dylib (0) <763766E3-CDD8-3E20-B38A-6B5CB33678DF> /Users/USER/Documents/*/libfftw3f.3.dylib
       0x109200000 - 0x109203ff7 +libfftw3f_threads.3.dylib (0) <913A005D-96F4-3E49-B3C7-1FA7C076A8D9> /Users/USER/Documents/*/libfftw3f_threads.3.dylib
       0x109209000 - 0x10921fff7 +libITKOptimizersv4-4.10.1.dylib (0) <17409CD5-B5AF-3BF6-8F5A-AF9020F0141F> /Users/USER/Documents/*/libITKOptimizersv4-4.10.1.dylib
       0x109231000 - 0x10926efff +libITKOptimizers-4.10.1.dylib (0) <AD628507-5F49-3C63-952D-8A3A1448DAD9> /Users/USER/Documents/*/libITKOptimizers-4.10.1.dylib
       0x109292000 - 0x10929dfff +libITKKLMRegionGrowing-4.10.1.dylib (0) <989C4B37-FE1C-3ED6-8F48-47D07C488884> /Users/USER/Documents/*/libITKKLMRegionGrowing-4.10.1.dylib
       0x1092ab000 - 0x1092b1fff +libITKWatersheds-4.10.1.dylib (0) <14D70DF5-9CBC-3492-A01A-5A1862FCFCF4> /Users/USER/Documents/*/libITKWatersheds-4.10.1.dylib
       0x1092bc000 - 0x1092d1fff +libITKStatistics-4.10.1.dylib (0) <960A5548-6EC0-3A0B-A68C-BC0D24217D90> /Users/USER/Documents/*/libITKStatistics-4.10.1.dylib
       0x1092df000 - 0x1092e3fff +libitkNetlibSlatec-4.10.1.dylib (0) <631A681B-B2CE-36D0-BCDE-19E32AC9A8C9> /Users/USER/Documents/*/libitkNetlibSlatec-4.10.1.dylib
       0x1092e8000 - 0x10930ffff +libITKSpatialObjects-4.10.1.dylib (0) <3DA05393-7F4B-3D65-A8F5-DD5BA4BF333F> /Users/USER/Documents/*/libITKSpatialObjects-4.10.1.dylib
       0x10932c000 - 0x109331ff7 +libITKMesh-4.10.1.dylib (0) <E91C6C69-1FA0-3FDC-9A63-B638B07D31B1> /Users/USER/Documents/*/libITKMesh-4.10.1.dylib
       0x109337000 - 0x10933afff +libITKTransform-4.10.1.dylib (0) <2D4C68CA-29C5-307E-BF9D-54805E701FB3> /Users/USER/Documents/*/libITKTransform-4.10.1.dylib
       0x10933e000 - 0x109346fff +libITKPath-4.10.1.dylib (0) <D4B8A1B8-C50F-332F-8B0C-E64FB9BDCECC> /Users/USER/Documents/*/libITKPath-4.10.1.dylib
       0x109354000 - 0x1093c8fff +libITKCommon-4.10.1.dylib (0) <5BA319EC-042B-3C68-8346-4E51F4EDC25C> /Users/USER/Documents/*/libITKCommon-4.10.1.dylib
       0x109450000 - 0x10947dfff +libitksys-4.10.1.dylib (0) <93910249-9CE3-31CE-BBB2-DCA34AF5944B> /Users/USER/Documents/*/libitksys-4.10.1.dylib
       0x10949d000 - 0x1094d5ff7 +libITKVNLInstantiation-4.10.1.dylib (0) <F177B76D-E757-3B0F-8A12-E3327A781678> /Users/USER/Documents/*/libITKVNLInstantiation-4.10.1.dylib
       0x109506000 - 0x10954eff7 +libitkvnl_algo-4.10.1.dylib (0) <86DB1A9C-1754-3341-83CF-553824FEBA27> /Users/USER/Documents/*/libitkvnl_algo-4.10.1.dylib
       0x10957e000 - 0x1097bbff7 +libitkvnl-4.10.1.dylib (0) <3F443A90-73D6-3B49-A950-B58E218F1096> /Users/USER/Documents/*/libitkvnl-4.10.1.dylib
       0x109981000 - 0x109a52fff +libitkv3p_netlib-4.10.1.dylib (0) <0C564B06-ACDF-3325-86B4-753044407BD0> /Users/USER/Documents/*/libitkv3p_netlib-4.10.1.dylib
       0x109a62000 - 0x109a82fff +libitknetlib-4.10.1.dylib (0) <8D53E4B2-B544-3FA7-B241-9A2AAE9E863C> /Users/USER/Documents/*/libitknetlib-4.10.1.dylib
       0x109a86000 - 0x109a87fff +libitkvcl-4.10.1.dylib (0) <65FC9463-DA72-37A0-8CFF-7D2E0309CE94> /Users/USER/Documents/*/libitkvcl-4.10.1.dylib
       0x109a8b000 - 0x109c24ff7 +libotbossimplugins-5.10.1.dylib (0) <CCC10594-9249-3F6C-9B1A-A2B9BBFEE051> /Users/USER/Documents/*/libotbossimplugins-5.10.1.dylib
       0x109ca1000 - 0x10a74bfff +libossim.dylib (0) <EA912F6F-C23E-3017-922D-1AA5320791CD> /Users/USER/Documents/*/libossim.dylib
       0x10ac2f000 - 0x10ac32fff +libOpenThreads.20.dylib (0) <8FFCE3E8-0466-3FEF-B8E9-9D62301CEA52> /Users/USER/Documents/*/libOpenThreads.20.dylib
       0x10ac3f000 - 0x10ac57fff +libgeotiff.2.dylib (0) <CD96FB2B-8A4B-34EF-9E8E-17278CAAB814> /Users/USER/Documents/*/libgeotiff.2.dylib
       0x10ac6c000 - 0x10ac7cfff +libkmlbase.dylib (0) <96FC4D47-732A-3B77-856F-142313E5C176> /Users/USER/Documents/*/libkmlbase.dylib
       0x10ac8e000 - 0x10aca3ff7 +libkmlconvenience.dylib (0) <AF439116-5016-3C0A-B8B7-6985F12C63A4> /Users/USER/Documents/*/libkmlconvenience.dylib
       0x10acb7000 - 0x10ad0afff +libkmldom.dylib (0) <10A0B440-F41B-32C4-B208-CEE1C4654B84> /Users/USER/Documents/*/libkmldom.dylib
       0x10ad55000 - 0x10ad74fff +libkmlengine.dylib (0) <0933ADAA-FFA6-37DB-8697-BF0C517FF07C> /Users/USER/Documents/*/libkmlengine.dylib
       0x10ad96000 - 0x10ad9ffff +libkmlregionator.dylib (0) <521C118F-B5B3-32AE-8D2D-734F9A7EE713> /Users/USER/Documents/*/libkmlregionator.dylib
       0x10adab000 - 0x10adb7ff7 +libkmlxsd.dylib (0) <36F363FC-B23B-324C-A30A-67A0F1E1069D> /Users/USER/Documents/*/libkmlxsd.dylib
       0x10adc3000 - 0x10adcaff7 +libminizip.dylib (0) <30237650-40C9-344C-B230-3016A485CB5E> /Users/USER/Documents/*/libminizip.dylib
       0x10add5000 - 0x10b70ffef +libgdal.20.dylib (0) <228FE4F4-228E-3EA3-9134-0CF4283888FF> /Users/USER/Documents/*/libgdal.20.dylib
       0x10bc2b000 - 0x10bc2efff +libOTBQtAdapters-5.10.1.dylib (0) <E984E140-D774-37A6-A723-02897A909475> /Users/USER/Documents/*/libOTBQtAdapters-5.10.1.dylib
       0x10bc38000 - 0x10bcbffff +libqwt.5.dylib (5.2.3) <E471C613-4210-336C-9493-20C62DF6B031> /Users/USER/Documents/*/libqwt.5.dylib
       0x10bcfb000 - 0x10bdcdff7 +libQtOpenGL.4.dylib (4.8.7) <F7D0EF73-3684-3125-9AE9-AECA4165AEF3> /Users/USER/Documents/*/libQtOpenGL.4.dylib
       0x10be0f000 - 0x10c7a1ff7 +libQtGui.4.dylib (4.8.7) <7700D61E-63EE-3B96-9186-68D68D03AFED> /Users/USER/Documents/*/libQtGui.4.dylib
       0x10ca15000 - 0x10ca5afff +libQtXml.4.dylib (4.8.7) <B2E0135A-5C52-38B4-8C06-2BA8265AA89C> /Users/USER/Documents/*/libQtXml.4.dylib
       0x10ca76000 - 0x10cd28ff7 +libQtCore.4.dylib (4.8.7) <2DB15834-63D9-3CE8-B0FC-DFFE4A2B1E3F> /Users/USER/Documents/*/libQtCore.4.dylib
       0x10cdb5000 - 0x10cdd4ff7 +libgeos_c.1.dylib (0) <33B96180-1C44-38AD-B278-6FF677053A2D> /Users/USER/Documents/*/libgeos_c.1.dylib
       0x10cde8000 - 0x10ced7ff7 +libsqlite3.dylib (0) <AC7383FF-C908-3999-A409-D6D41539BAE2> /Users/USER/Documents/*/libsqlite3.dylib
       0x10ceea000 - 0x10cf0aff7 +libexpat.dylib (0) <028369EC-D16F-37B3-8A76-CAD295E2A097> /Users/USER/Documents/*/libexpat.dylib
       0x10cf12000 - 0x10cf4afff +libopenjp2.7.dylib (0) <B1D0BDE4-F3E5-32C7-8566-2D6DADB96317> /Users/USER/Documents/*/libopenjp2.7.dylib
       0x10cf55000 - 0x10cf87fff +libproj.0.dylib (0) <DC19B3BB-E28A-3468-9C13-9A558D7F4123> /Users/USER/Documents/*/libproj.0.dylib
       0x10cfa9000 - 0x10cff0ff7 +libjpeg.62.dylib (0) <2DB39820-12DE-3CC9-BE11-BAFC0E0A3C14> /Users/USER/Documents/*/libjpeg.62.dylib
       0x10cffc000 - 0x10d05bfff +libtiff.5.dylib (0) <AEBEFD1D-1031-3557-8A75-6A452E5607E3> /Users/USER/Documents/*/libtiff.5.dylib
       0x10d069000 - 0x10d094ff7 +libpng.1.dylib (0) <C9876A05-F8B6-3862-8741-B1BEE56D881C> /Users/USER/Documents/*/libpng.1.dylib
       0x10d0a1000 - 0x10d176ff7 +libgeos.3.5.0.dylib (0) <4FE79F28-2310-373B-80BD-0AD825BA1B45> /Users/USER/Documents/*/libgeos.3.5.0.dylib
       0x10d214000 - 0x10d21efff +libitkdouble-conversion-4.10.1.dylib (0) <7DBC6BBD-C967-3A59-90DA-C937E48E8F54> /Users/USER/Documents/*/libitkdouble-conversion-4.10.1.dylib
       0x10d224000 - 0x10d2aefff +libfreetype.dylib (0) <536E7F58-5577-3727-A305-EE9D8CC2FBCB> /Users/USER/Documents/*/libfreetype.dylib
       0x10d2c6000 - 0x10d2ebff7 +liburiparser.dylib (0) <A6AED67D-309D-3C14-8FF4-C5B0995530E9> /Users/USER/Documents/*/liburiparser.dylib
       0x10d5b3000 - 0x10d5cefff com.apple.security.csparser (3.0 - 57337.50.23) <9597AF09-10B0-3C27-8350-439ED6C797BA> /System/Library/Frameworks/Security.framework/PlugIns/csparser.bundle/Contents/MacOS/csparser
       0x11023f000 - 0x1102e4fff ColorSyncDeprecated.dylib (470.3) <A30CB963-667F-39D0-8537-66FCC820F5A6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
       0x116ad1000 - 0x116b23ff7 +otbapp_BinaryMorphologicalOperation.dylib (0) <0AB5744E-D421-310E-A05E-4B45C3E2BC16> /Users/USER/Documents/*/otbapp_BinaryMorphologicalOperation.dylib
       0x116b5a000 - 0x116b70ff7 +otbapp_BundleToPerfectSensor.dylib (0) <EDF22096-DCE0-369B-A625-639AD28799E3> /Users/USER/Documents/*/otbapp_BundleToPerfectSensor.dylib
    0x7fff60816000 - 0x7fff6084d25f dyld (360.22) <A468D85E-D8D6-3461-8C99-49D3B9ACFC63> /usr/lib/dyld
    0x7fff80dae000 - 0x7fff80ebcff3 com.apple.desktopservices (1.10.3 - 1.10.3) <3A6906D4-C0B8-30D1-B589-0466E5E42B69> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff80f05000 - 0x7fff80f8eff7 com.apple.PerformanceAnalysis (1.0 - 1) <2064F7E8-5C3D-3E18-8029-2D832D13E2A2> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff80f92000 - 0x7fff81081fff libxml2.2.dylib (29.7) <32BBF51E-B084-3FC2-AE9C-C008BE84102B> /usr/lib/libxml2.2.dylib
    0x7fff811f7000 - 0x7fff81228fff com.apple.GSS (4.0 - 2.0) <B490333A-3B3E-397A-AD75-68846E9A9140> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff81229000 - 0x7fff81298fff com.apple.datadetectorscore (7.0 - 460) <FA46DEE8-B25B-3E84-B067-6A31193A0885> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
    0x7fff816a6000 - 0x7fff816fbfff com.apple.AE (701 - 701) <AD492742-F884-386B-A450-FAC281B9FFA4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff8176a000 - 0x7fff81784ff3 liblzma.5.dylib (10) <CC03591B-FA57-3CA5-AC81-0D76033AC0CE> /usr/lib/liblzma.5.dylib
    0x7fff817ba000 - 0x7fff8182eff3 com.apple.securityfoundation (6.0 - 55126) <130656AE-2711-3914-8736-D8B021C93FE0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff81899000 - 0x7fff818e9ff7 com.apple.Symbolication (1.4 - 58044) <F70BF765-FBE9-3F1E-85CA-BB2F8E53E8C2> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff81933000 - 0x7fff819a7ff7 com.apple.Heimdal (4.0 - 2.0) <5D365381-8B5E-3259-8867-FC4A7D307BDE> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff819ab000 - 0x7fff819abfff libOpenScriptingUtil.dylib (169.1) <AD0DAC8A-9849-3077-999F-9AEC6112BDAB> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff819ac000 - 0x7fff819cbff7 com.apple.framework.Apple80211 (11.0 - 1121.34.2) <90477FAE-B835-3931-80FB-FDFF02B21D9D> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff819cc000 - 0x7fff81a06ff7 com.apple.DebugSymbols (132 - 132) <23A42C53-B941-3871-9EE2-4C87A46005B5> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff81a0b000 - 0x7fff81a0bff7 libkeymgr.dylib (28) <8371CE54-5FDD-3CE9-B3DF-E98C761B6FE0> /usr/lib/system/libkeymgr.dylib
    0x7fff82790000 - 0x7fff827a1ff7 libz.1.dylib (61.20.1) <B3EBB42F-48E3-3287-9F0D-308E04D407AC> /usr/lib/libz.1.dylib
    0x7fff827a6000 - 0x7fff82896fff libJP2.dylib (1450) <FAFF00CD-1CF6-34DE-A06F-31D4BB9C8BA9> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff82897000 - 0x7fff828c0ffb libRIP.A.dylib (957) <5F18F20D-5921-3314-A9F8-F1B1CB62C83D> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff82941000 - 0x7fff82982ff7 libGLU.dylib (12.1) <CD7A5916-3E3C-3EF3-A275-B281016B99CB> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff82983000 - 0x7fff8299fff7 libextension.dylib (78) <FD952DA6-BBEC-3CB6-98B3-E1D111C5C54E> /usr/lib/libextension.dylib
    0x7fff829a1000 - 0x7fff829a3ff7 libRadiance.dylib (1450) <BE9E0EBE-C589-3684-B4AE-04F95C8D410A> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff829d6000 - 0x7fff829dbfff com.apple.TCC (1.0 - 1) <F5EEB2D3-9517-3975-97BE-22CB8E11B8A3> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff83955000 - 0x7fff8397eff7 libxslt.1.dylib (14.2) <6E8D0F06-9086-32D3-9D87-3870A1CE9E99> /usr/lib/libxslt.1.dylib
    0x7fff83a86000 - 0x7fff83aaafff com.apple.MultitouchSupport.framework (304.12 - 304.12) <65CB7653-EACD-3ADB-ABB6-2E0671708301> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff83aba000 - 0x7fff83abfff3 libunwind.dylib (35.3) <F6EB48E5-4D12-359A-AB54-C937FBBE9043> /usr/lib/system/libunwind.dylib
    0x7fff83ac0000 - 0x7fff83ac5ff7 libheimdal-asn1.dylib (453.40.10) <981DE40B-FA16-36F7-BE92-8C8A115D6CD9> /usr/lib/libheimdal-asn1.dylib
    0x7fff83ae6000 - 0x7fff83af4ff7 libbz2.1.0.dylib (38) <28E54258-C0FE-38D4-AB76-1734CACCB344> /usr/lib/libbz2.1.0.dylib
    0x7fff83b71000 - 0x7fff83bbfff7 libstdc++.6.dylib (104.1) <76E2AFB1-07E5-3F19-B692-F6E21B7E470D> /usr/lib/libstdc++.6.dylib
    0x7fff83de2000 - 0x7fff83de2fff libmetal_timestamp.dylib (600.0.44.1) <6576F284-BACA-332A-A6E7-FA1C347636E3> /System/Library/PrivateFrameworks/GPUCompiler.framework/libmetal_timestamp.dylib
    0x7fff83ee4000 - 0x7fff83ee4fff com.apple.Carbon (154 - 157) <8F6ED602-5943-3E29-A793-BC331E2C183D> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff83ee5000 - 0x7fff8402fff7 com.apple.coreui (2.1 - 366.1) <8138636F-A0A7-31C7-896C-5F5747FA1B2A> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff8405e000 - 0x7fff8410efe7 libvMisc.dylib (563.5) <6D73C20D-D1C4-3BA5-809B-4B597C15AA86> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8410f000 - 0x7fff84143ff7 com.apple.CoreVideo (1.8 - 191.3) <1AA24A1B-CB84-3F6B-B6DE-11494542649C> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff84144000 - 0x7fff84160fff com.apple.GenerationalStorage (2.0 - 239.1) <8C821448-4294-3736-9CEF-467C93785CB9> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff841c3000 - 0x7fff841f2ff7 com.apple.DictionaryServices (1.2 - 250.3) <30250542-CBAA-39C1-91AA-B57A5DE17594> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff841f3000 - 0x7fff8423ffff com.apple.print.framework.PrintCore (11.2 - 472.2) <5AE8AA6B-CE09-397D-B0D4-0F9CCBF1F77D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff84240000 - 0x7fff84258fef libcompression.dylib (28) <E7601B62-1053-369D-8A9E-91CF86239220> /usr/lib/libcompression.dylib
    0x7fff84346000 - 0x7fff8438cff7 libauto.dylib (186) <999E610F-41FC-32A3-ADCA-5EC049B65DFB> /usr/lib/libauto.dylib
    0x7fff843ae000 - 0x7fff843b9fff libGL.dylib (12.1) <70D51643-04AC-3400-8F11-A6FC25985289> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8447a000 - 0x7fff84491ff7 libsystem_coretls.dylib (83.40.5) <C90DAE38-4082-381C-A185-2A6A8B677628> /usr/lib/system/libsystem_coretls.dylib
    0x7fff84556000 - 0x7fff84683ff3 com.apple.CoreText (352.0 - 494.11) <08E8640E-6602-3A00-BC28-94235FD311B4> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff84798000 - 0x7fff84838fff com.apple.Metadata (10.7.0 - 972.34) <A93B485D-094C-3024-8CBB-D9E035FB83C4> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff84839000 - 0x7fff8489fff7 libsystem_network.dylib (583.50.1) <B52DAB73-92DC-3DA7-B9F4-B899D66445C1> /usr/lib/system/libsystem_network.dylib
    0x7fff849ae000 - 0x7fff84c35ff3 com.apple.CFNetwork (760.5.1 - 760.5.1) <EE9426D1-F11C-3DD4-AE08-EA29AEB27177> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff84c36000 - 0x7fff84c39ff7 libCoreFSCache.dylib (119.5) <2389D7DA-B8EF-3EB4-AAAF-FBEDE01CDECA> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreFSCache.dylib
    0x7fff84c55000 - 0x7fff84c65fff libbsm.0.dylib (34) <7E14504C-A8B0-3574-B6EB-5D5FABC72926> /usr/lib/libbsm.0.dylib
    0x7fff84cab000 - 0x7fff84cfeff7 libc++.1.dylib (120.1) <8FC3D139-8055-3498-9AC5-6467CB7F4D14> /usr/lib/libc++.1.dylib
    0x7fff84cff000 - 0x7fff84d00fff libsystem_secinit.dylib (20) <32B1A8C6-DC84-3F4F-B8CE-9A52B47C3E6B> /usr/lib/system/libsystem_secinit.dylib
    0x7fff84d19000 - 0x7fff84d2afff libcmph.dylib (6) <BA4BF2C6-7F4E-33B8-9DD7-619C9EB83ECF> /usr/lib/libcmph.dylib
    0x7fff84d2b000 - 0x7fff84d87fff libTIFF.dylib (1450) <14EB7C03-7DDA-3276-BAC5-D597913AC9C4> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff8504b000 - 0x7fff85059fff libxar.1.dylib (302) <03207F66-2C4A-3DBD-8D81-70F4C85903C4> /usr/lib/libxar.1.dylib
    0x7fff854b7000 - 0x7fff854b7fff com.apple.CoreServices (728.12 - 728.12) <A4FFF004-53B0-3EAC-A13F-5416BFFD8886> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff85576000 - 0x7fff8558afe3 libCGInterfaces.dylib (317.9) <5079DE4F-3717-32FF-B76A-77F53236D17D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/Libraries/libCGInterfaces.dylib
    0x7fff8558b000 - 0x7fff855b2fff com.apple.ChunkingLibrary (167 - 167) <AD7F285C-005E-36BB-98A3-5826413533BE> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff855be000 - 0x7fff85633fff com.apple.framework.IOKit (2.0.2 - 1179.50.2) <A509D3AE-9D48-31B7-89C7-326A7A2007B2> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff8568c000 - 0x7fff856eafff com.apple.SystemConfiguration (1.14 - 1.14) <D801FAD7-5A2D-3E5E-9F44-B6C9B8BEA747> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff8583a000 - 0x7fff85889ff7 com.apple.opencl (2.7.0 - 2.7.0) <C3AFF6D2-90FE-3108-A2D5-A1EBCFC5D627> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff858bf000 - 0x7fff85904ff3 libFontRegistry.dylib (155.2) <A70DD497-35F3-34DA-9C19-F4B90080E961> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff85905000 - 0x7fff8590bff7 com.apple.speech.recognition.framework (5.1.1 - 5.1.1) <9E5A980A-F455-32D5-BBEE-3BD6018CC45E> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff85b4d000 - 0x7fff85b59ff7 com.apple.OpenDirectory (10.11 - 194) <31A67AD5-5CC2-350A-96D7-821DF4BC4196> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff85ba9000 - 0x7fff85ba9fff com.apple.Accelerate.vecLib (3.10 - vecLib 3.10) <054DFE32-737D-3211-9A14-0FC5E1A880E3> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff85bd6000 - 0x7fff85bdefff com.apple.CoreServices.FSEvents (1223.10.1 - 1223.10.1) <7F5B7A23-BC1D-3FA9-A9B8-D534F1E1979A> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff85e08000 - 0x7fff85e0aff7 com.apple.securityhi (9.0 - 55006) <1E7BE52B-97EA-371A-AECA-1EE2AD246D8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff85e0b000 - 0x7fff85e0efff libsystem_sandbox.dylib (460.50.4) <150A9D3D-F69E-32F7-8C7B-8E72CAAFF7E4> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff86178000 - 0x7fff8645dffb com.apple.CoreServices.CarbonCore (1136.2 - 1136.2) <2DBAFC9A-6CD6-351D-B1F4-87D81AA6D640> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff86889000 - 0x7fff8689afff libSparseBLAS.dylib (1162.2) <EBEB3848-3468-342A-91A6-5C47F2369CD9> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff86a94000 - 0x7fff86affff7 com.apple.framework.CoreWLAN (11.0 - 1101.20) <3B35C543-7FCE-333F-80C1-432FA41DDCDE> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff86b08000 - 0x7fff86b14fff com.apple.speech.synthesis.framework (5.4.12 - 5.4.12) <71DA00B8-5EA2-326B-8814-59DB25512F65> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff86b1c000 - 0x7fff86b23ff7 libcompiler_rt.dylib (62) <A13ECF69-F59F-38AE-8609-7B731450FBCD> /usr/lib/system/libcompiler_rt.dylib
    0x7fff86b27000 - 0x7fff86c36fe7 libvDSP.dylib (563.5) <9AB6CA3C-4F0E-35E6-9184-9DF86E7C3DAD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff86c42000 - 0x7fff87070fff com.apple.vision.FaceCore (3.3.1 - 3.3.1) <E54028EA-4217-3078-A2B1-C52E4214D59E> /System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore
    0x7fff8815f000 - 0x7fff8820ffff com.apple.backup.framework (1.7.4 - 1.7.4) <F304E9D1-991A-379E-9659-BF85C35B4808> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff88210000 - 0x7fff88218fff libcopyfile.dylib (127) <A48637BC-F3F2-34F2-BB68-4C65FD012832> /usr/lib/system/libcopyfile.dylib
    0x7fff88219000 - 0x7fff88287ff7 com.apple.ApplicationServices.ATS (377 - 394.4) <9779E916-0788-3CAC-B1EC-F68BCB12A2B6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff88b2a000 - 0x7fff88b32fff com.apple.NetFS (6.0 - 4.0) <842A5346-24C3-3F22-9ECF-E586A10EA1F2> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff88ed8000 - 0x7fff89056fff com.apple.UIFoundation (1.0 - 436.1) <AABB5267-E7B7-3D75-B051-E665BDA8DEF4> /System/Library/PrivateFrameworks/UIFoundation.framework/Versions/A/UIFoundation
    0x7fff8906b000 - 0x7fff89094fff libsystem_info.dylib (477.50.4) <FAA9226D-64DE-3769-A6D8-6CABA4B7FF4D> /usr/lib/system/libsystem_info.dylib
    0x7fff897b7000 - 0x7fff897e5ff7 com.apple.CoreServicesInternal (248.2 - 248.2) <6E111F0A-D7F1-3738-ADE7-CF983BD4EC8B> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff897e6000 - 0x7fff8982bff7 com.apple.coreservices.SharedFileList (24.4 - 24.5) <1D2AD77B-778F-3253-A295-3D0A32A8121C> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff8982c000 - 0x7fff89850fff libJPEG.dylib (1450) <1775E59E-D82C-3F7A-8E4F-B0C13F88F691> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff89851000 - 0x7fff89853ff7 libquarantine.dylib (80) <0F4169F0-0C84-3A25-B3AE-E47B3586D908> /usr/lib/system/libquarantine.dylib
    0x7fff89909000 - 0x7fff89bafff7 com.apple.CoreData (120 - 641.3) <A29A5491-6169-372B-828F-84EE0CFD4BC4> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff89c09000 - 0x7fff89c1cfff com.apple.CoreBluetooth (1.0 - 1) <E54CA9A2-A5C6-30C5-9D6E-8472DBA9371E> /System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
    0x7fff89cd2000 - 0x7fff89cd4fff libCVMSPluginSupport.dylib (12.1) <D81B3D8D-B83F-3918-BD4B-6C794A30AF9F> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff89e39000 - 0x7fff89e41ffb libsystem_dnssd.dylib (625.50.5) <4D10E12B-59B5-386F-82DA-326F18028F0A> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff89e42000 - 0x7fff89e45ffb libScreenReader.dylib (426.42) <16FC79D1-4573-3E90-945F-CBA22D5185FD> /usr/lib/libScreenReader.dylib
    0x7fff89e46000 - 0x7fff89ecefff com.apple.CoreSymbolication (3.1 - 58048.1) <4730422E-4178-34F9-8550-BB92F2A4F44B> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8a07b000 - 0x7fff8a249ff3 com.apple.QuartzCore (1.11 - 410.14) <076BDE58-8AED-3D47-84FD-548CF8E8EDB9> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff8a24a000 - 0x7fff8a255fff libkxld.dylib (3248.50.21) <99195052-038E-3490-ACF8-76F9AC43897E> /usr/lib/system/libkxld.dylib
    0x7fff8a309000 - 0x7fff8a5a3ff3 com.apple.security (7.0 - 57337.50.23) <8B6CF71D-A63E-34C9-9227-0AACAB643584> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8a5c7000 - 0x7fff8a5d0ff7 com.apple.CommonAuth (4.0 - 2.0) <4B8673E1-3697-3FE2-8D30-AC7AC5D4F8BF> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8a5fd000 - 0x7fff8a626ff7 libxpc.dylib (765.50.8) <54D1328E-054E-3DAA-89E2-375722F9D18F> /usr/lib/system/libxpc.dylib
    0x7fff8a650000 - 0x7fff8a658fff libGFXShared.dylib (12.1) <5A0C2493-200C-30BE-97D5-8E8C0B8E604D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff8a6bf000 - 0x7fff8a72efff com.apple.SearchKit (1.4.0 - 1.4.0) <F159A888-34CA-36F1-AC8E-EB1B38C9DFB3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff8a730000 - 0x7fff8a7a7feb libcorecrypto.dylib (335.50.1) <B5C05FD7-A540-345A-87BF-8E41848A3C17> /usr/lib/system/libcorecrypto.dylib
    0x7fff8b6cb000 - 0x7fff8b6cbfff com.apple.audio.units.AudioUnit (1.13 - 1.13) <93C1D642-37D4-3692-AD35-DCAD04F9610B> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff8b6cc000 - 0x7fff8b6f5fff libc++abi.dylib (125) <DCCC8177-3D09-35BC-9784-2A04FEC4C71B> /usr/lib/libc++abi.dylib
    0x7fff8b6f6000 - 0x7fff8b6fbfff com.apple.ImageCapture (9.0 - 9.0) <ACECF0B7-7D92-3A22-BF47-E8FADF4C5378> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff8b729000 - 0x7fff8b729fff libenergytrace.dylib (10.40.1) <0A491CA7-3451-3FD5-999A-58AB4362682B> /usr/lib/libenergytrace.dylib
    0x7fff8b72a000 - 0x7fff8b741fff libmarisa.dylib (4) <E4919B03-D9BD-3AF8-B436-C415C98E3F0A> /usr/lib/libmarisa.dylib
    0x7fff8b74a000 - 0x7fff8b9e0fff libmecabra.dylib (696.5) <EF6C0BD4-5FE8-34FB-8ADF-69A53CEC97A9> /usr/lib/libmecabra.dylib
    0x7fff8c24b000 - 0x7fff8c2e1fff com.apple.ColorSync (4.9.0 - 4.9.0) <8FC37E20-6579-3CB2-9D49-BC39FC38DF87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff8c2e2000 - 0x7fff8c2e4ff7 libsystem_configuration.dylib (802.40.13) <3DEB7DF9-6804-37E1-BC83-0166882FF0FF> /usr/lib/system/libsystem_configuration.dylib
    0x7fff8cb6a000 - 0x7fff8ccd1fff libBLAS.dylib (1162.2) <A1398FE0-39D2-33EA-9A0F-B2644EEA29A0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff8ccd2000 - 0x7fff8cef3ff7 com.apple.CoreImage (11.4.0 - 366.4.19) <F5B7B115-E43A-3C61-A6AD-EFCDE7FC43A1> /System/Library/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8cfa6000 - 0x7fff8d1b3fff libicucore.A.dylib (551.51.3) <5BC80F94-C90D-3175-BD96-FF1DC222EC9C> /usr/lib/libicucore.A.dylib
    0x7fff8d1e5000 - 0x7fff8d272dd7 com.apple.AppleJPEG (1.0 - 1) <558ACADA-C41F-3EEF-82A0-C2D7B13C5428> /System/Library/PrivateFrameworks/AppleJPEG.framework/Versions/A/AppleJPEG
    0x7fff8d273000 - 0x7fff8d2bfffb com.apple.HIServices (1.22 - 550) <6B76B41C-CF5A-34C4-89F4-EFD7CA3D1C9D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff8d2c0000 - 0x7fff8dee9ff7 com.apple.AppKit (6.9 - 1404.47) <F3411F6E-DD87-34D0-8C68-C69B2205E41D> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff8df99000 - 0x7fff8df9cffb libdyld.dylib (360.22) <CC088C2A-D407-33E7-A6B6-B06E0D4AD999> /usr/lib/system/libdyld.dylib
    0x7fff8df9d000 - 0x7fff8dfc8ffb libarchive.2.dylib (33.20.2) <6C370A21-63FD-3A68-B4B3-5333F24B770B> /usr/lib/libarchive.2.dylib
    0x7fff8dfc9000 - 0x7fff8e01afff com.apple.audio.CoreAudio (4.3.0 - 4.3.0) <EA7D4F3B-062B-3C81-A98C-C89264D00D48> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff8e1b0000 - 0x7fff8e376fe7 com.apple.ImageIO.framework (3.3.0 - 1450) <18ABA1F4-43EC-3990-9777-C91FD3D6AF71> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff8e3cb000 - 0x7fff8e7c7fff libLAPACK.dylib (1162.2) <987E42B0-5108-3065-87F0-9DF7616A8A06> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff8e7c8000 - 0x7fff8e7eafff com.apple.IconServices (68.1 - 68.1) <CDEEDBE6-F53B-3BA1-82D4-23BCA3DD8949> /System/Library/PrivateFrameworks/IconServices.framework/Versions/A/IconServices
    0x7fff8e90c000 - 0x7fff8e90dfff liblangid.dylib (122) <9CC4F0D1-5C51-3B69-BC8F-EE3A51FD0822> /usr/lib/liblangid.dylib
    0x7fff8ecf7000 - 0x7fff8efecfff com.apple.HIToolbox (2.1.1 - 807.2) <36413C45-36AF-34EF-9C0E-F18B31D1E565> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff8f04b000 - 0x7fff8f07affb libsystem_m.dylib (3105) <08E1A4B2-6448-3DFE-A58C-ACC7335BE7E4> /usr/lib/system/libsystem_m.dylib
    0x7fff8f07b000 - 0x7fff8f094fff com.apple.openscripting (1.7.1 - 169.1) <36EBF6A7-334A-3197-838F-E8C7B27FCDBB> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff8f095000 - 0x7fff8f0b1ff3 libresolv.9.dylib (60) <A650B5C8-1950-36A0-86D1-0B2465318BFA> /usr/lib/libresolv.9.dylib
    0x7fff8f0b2000 - 0x7fff8f0bdff7 libChineseTokenizer.dylib (16) <79B8C67A-3061-3C78-92CD-4650719E68D4> /usr/lib/libChineseTokenizer.dylib
    0x7fff8f0be000 - 0x7fff8f0c6fef libsystem_platform.dylib (74.40.2) <29A905EF-6777-3C33-82B0-6C3A88C4BA15> /usr/lib/system/libsystem_platform.dylib
    0x7fff8f0dc000 - 0x7fff8f143fff com.apple.framework.CoreWiFi (11.0 - 1101.20) <993592F1-B3F1-3FAD-87BD-EA83C361BCCF> /System/Library/PrivateFrameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8f26b000 - 0x7fff8f35dff7 libiconv.2.dylib (44) <F05A0A5A-92A9-3668-8F20-F27CBDA26BE9> /usr/lib/libiconv.2.dylib
    0x7fff8f35e000 - 0x7fff8f362fff libGIF.dylib (1450) <DDEA46A2-85B7-32D7-8CC2-8F4C10AA12D5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff8f3a0000 - 0x7fff8f42dfff libsystem_c.dylib (1082.50.1) <B552D565-B798-3B9B-AE63-F623B42A5F01> /usr/lib/system/libsystem_c.dylib
    0x7fff8f4a3000 - 0x7fff8f538fff com.apple.ink.framework (10.9 - 214) <1F76CF36-3F79-36B8-BC37-C540AF34B338> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff8f539000 - 0x7fff8f566fff libdispatch.dylib (501.40.12) <C7499857-61A5-3D7D-A5EA-65DCC8C3DF92> /usr/lib/system/libdispatch.dylib
    0x7fff8f579000 - 0x7fff8f784fff libFosl_dynamic.dylib (16.24) <5F9DB82D-FD4B-3952-8531-CE020F93ED49> /usr/lib/libFosl_dynamic.dylib
    0x7fff8f785000 - 0x7fff8f79bff7 libLinearAlgebra.dylib (1162.2) <FFE54EDF-F06F-3C0A-864A-4CA7BBFD4B2D> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff8f7a9000 - 0x7fff8fafdfff com.apple.Foundation (6.9 - 1259) <71A9D3A0-0B1F-3E3A-86F3-1486365A6EF2> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff8fb3d000 - 0x7fff8fb3effb libremovefile.dylib (41) <552EF39E-14D7-363E-9059-4565AC2F894E> /usr/lib/system/libremovefile.dylib
    0x7fff8fb4b000 - 0x7fff8fb4bfff com.apple.ApplicationServices (48 - 48) <ADD57D3A-142F-3EF5-BFD8-EACD82164884> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff8fb55000 - 0x7fff8fb58fff libCoreVMClient.dylib (119.5) <560D70FB-709F-3030-96C9-F249FCB7DA6D> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff90390000 - 0x7fff90536ff7 com.apple.audio.toolbox.AudioToolbox (1.13 - 1.13) <082319FC-59F2-3D36-AC9B-94759724E302> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff90552000 - 0x7fff9055bff3 libsystem_notify.dylib (150.40.1) <D48BDE34-0F7E-34CA-A0FF-C578E39987CC> /usr/lib/system/libsystem_notify.dylib
    0x7fff9058d000 - 0x7fff905abff7 libsystem_kernel.dylib (3248.50.21) <78E54D59-D2B0-3F54-9A4A-0A68D671F253> /usr/lib/system/libsystem_kernel.dylib
    0x7fff90713000 - 0x7fff90771fff com.apple.CoreServices.OSServices (728.12 - 728.12) <776EBD4F-7052-377F-A70D-E2FDBD465A5E> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff90772000 - 0x7fff907aaff7 com.apple.RemoteViewServices (2.0 - 101) <B2881449-8CFE-3D1C-B4BF-155640392533> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff90bc5000 - 0x7fff90c07ff7 com.apple.Metal (56.6 - 56.6) <2B2C0F78-20B8-3878-B9B1-DE18BB92919D> /System/Library/Frameworks/Metal.framework/Versions/A/Metal
    0x7fff90d65000 - 0x7fff910fafdb com.apple.vImage (8.0 - 8.0) <4BAC9B6F-7482-3580-8787-AB0A5B4D331B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff910fb000 - 0x7fff91139ff7 libGLImage.dylib (12.1) <BB1F1A93-5101-3906-AB17-8D83FCB200F9> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff91229000 - 0x7fff9169ffff com.apple.CoreFoundation (6.9 - 1258.1) <943A1383-DA6A-3DC0-ABCD-D9AEB3D0D34D> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff916ef000 - 0x7fff916efff7 libunc.dylib (29) <DDB1E947-C775-33B8-B461-63E5EB698F0E> /usr/lib/system/libunc.dylib
    0x7fff9173e000 - 0x7fff91749fff com.apple.CrashReporterSupport (10.11 - 718) <05892B57-F2CD-3C84-B984-0417F6B361DB> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff9174a000 - 0x7fff9174bfff libsystem_blocks.dylib (65) <1244D9D5-F6AA-35BB-B307-86851C24B8E5> /usr/lib/system/libsystem_blocks.dylib
    0x7fff917a5000 - 0x7fff917f6ff7 libcups.2.dylib (435.2) <91584A40-214D-33E8-A613-CE22289037C8> /usr/lib/libcups.2.dylib
    0x7fff91a43000 - 0x7fff91a45ff7 com.apple.xpc.ServiceManagement (1.0 - 1) <D96D7A6D-EDEB-35EE-B5D9-E33A3BF011B5> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff91a46000 - 0x7fff91a4afff libcache.dylib (75) <9548AAE9-2AB7-3525-9ECE-A2A7C4688447> /usr/lib/system/libcache.dylib
    0x7fff91c9f000 - 0x7fff91d9bff7 libFontParser.dylib (158.6) <267A9AE4-4138-3112-8D73-BDFDC96568FF> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff91dc6000 - 0x7fff91dd4fff com.apple.opengl (12.1.0 - 12.1.0) <BBC4458E-12FC-3C9B-BF7E-6985D61C7A67> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff91e0c000 - 0x7fff91e15ff7 libsystem_pthread.dylib (138.10.4) <3DD1EF4C-1D1B-3ABF-8CC6-B3B1CEEE9559> /usr/lib/system/libsystem_pthread.dylib
    0x7fff91e36000 - 0x7fff91e40fff com.apple.NetAuth (6.0 - 6.0) <D692B1EF-534F-3892-8E2F-2BBA7C8AFD74> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff91e46000 - 0x7fff91f6afff libsqlite3.dylib (216.4) <280D67B8-F93D-3587-A146-19F36C817548> /usr/lib/libsqlite3.dylib
    0x7fff9202b000 - 0x7fff9202bfff com.apple.Accelerate (1.10 - Accelerate 1.10) <185EC96A-5AF0-3620-A4ED-4D3654D25B39> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff925a2000 - 0x7fff925a7ff7 libmacho.dylib (875.1) <318264FA-58F1-39D8-8285-1F6254EE410E> /usr/lib/system/libmacho.dylib
    0x7fff925a8000 - 0x7fff925e2fff com.apple.QD (3.12 - 302) <0FE53180-2895-3D14-A1E7-F82DE1D106E1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff926f8000 - 0x7fff92709ff7 libsystem_trace.dylib (201.10.3) <F00E92E4-DBDA-3749-B5B3-0C3FBBABA1CB> /usr/lib/system/libsystem_trace.dylib
    0x7fff92715000 - 0x7fff92737ff7 com.apple.Sharing (442.13.6 - 442.13.6) <DDD2811C-6ECB-32F2-8EE1-69BF9657B4A8> /System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing
    0x7fff92745000 - 0x7fff9276aff7 libPng.dylib (1450) <F7944170-4854-3CA5-B66F-7A6CA2292DF2> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff9290a000 - 0x7fff92921ff7 libsystem_asl.dylib (323.50.1) <41F8E11F-1BD0-3F1D-BA3A-AA1577ED98A9> /usr/lib/system/libsystem_asl.dylib
    0x7fff92af2000 - 0x7fff92b0dff7 libCRFSuite.dylib (34) <078B4CD8-6A8C-3067-B2BA-0C2A0BAB8AC3> /usr/lib/libCRFSuite.dylib
    0x7fff92c4b000 - 0x7fff92c68ff7 com.apple.AppleVPAFramework (2.1.2 - 2.1.2) <41378C0B-B56A-3A73-9BD0-E06FA1F87B8C> /System/Library/PrivateFrameworks/AppleVPA.framework/Versions/A/AppleVPA
    0x7fff931d9000 - 0x7fff931f5ff7 libsystem_malloc.dylib (67.40.1) <5748E8B2-F81C-34C6-8B13-456213127678> /usr/lib/system/libsystem_malloc.dylib
    0x7fff931f6000 - 0x7fff9331bfff com.apple.LaunchServices (728.12 - 728.12) <F5AB56CD-CF33-33F0-A48D-372551714E77> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff9331c000 - 0x7fff9331dfff libDiagnosticMessagesClient.dylib (100) <4243B6B4-21E9-355B-9C5A-95A216233B96> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff9331e000 - 0x7fff93323fff com.apple.DiskArbitration (2.7 - 2.7) <F55902AA-5316-3255-A701-FDED5B553065> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff933be000 - 0x7fff933c1fff com.apple.IOSurface (108.2.1 - 108.2.1) <A0037B0A-277A-393E-9BF6-688595BD564D> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff93444000 - 0x7fff934e8fff com.apple.Bluetooth (4.4.5 - 4.4.5f3) <141F2C36-70B6-32D3-A556-7A605832CDB3> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
    0x7fff93f85000 - 0x7fff93f89fff libpam.2.dylib (20) <CFCD19BD-87BC-3F2B-BB1C-4C23E8E55F1A> /usr/lib/libpam.2.dylib
    0x7fff93f8a000 - 0x7fff942ecf3f libobjc.A.dylib (680) <7489D2D6-1EFD-3414-B18D-2AECCCC90286> /usr/lib/libobjc.A.dylib
    0x7fff9451c000 - 0x7fff9451efff libCGXType.A.dylib (957) <B901C222-E779-32EB-96C2-5A707A09FC5B> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff9451f000 - 0x7fff9452effb com.apple.LangAnalysis (1.7.0 - 1.7.0) <18D21123-A3E7-3851-974A-08E5D4540475> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff94c3c000 - 0x7fff94c3efff libsystem_coreservices.dylib (19.2) <1B3F5AFC-FFCD-3ECB-8B9A-5538366FB20D> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff94c76000 - 0x7fff94c7efff libsystem_networkextension.dylib (385.40.36) <66095DC7-6539-38F2-95EE-458F15F6D014> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff94ce3000 - 0x7fff94ce4ff3 com.apple.print.framework.Print (10.0 - 266) <3E85F70C-D7D4-34E1-B88A-C1F503F99CDA> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff94d0b000 - 0x7fff94d0ffff com.apple.CommonPanels (1.2.6 - 96) <4AE7E5AE-55B3-37FA-9BDE-B23147ADA2E9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff94d10000 - 0x7fff94d11ffb libSystem.B.dylib (1226.10.1) <C5D09FE1-CC70-383E-AC27-18602F2EDEC4> /usr/lib/libSystem.B.dylib
    0x7fff94da8000 - 0x7fff94db3ff7 libcommonCrypto.dylib (60075.50.1) <93732261-34B4-3914-B7A2-90A81A182DBA> /usr/lib/system/libcommonCrypto.dylib
    0x7fff950c1000 - 0x7fff9630ffe7 com.apple.CoreGraphics (1.600.0 - 957) <B5D82A82-EDF9-34D5-A8C5-7F25B80985EE> /System/Library/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff96593000 - 0x7fff965adfff com.apple.Kerberos (3.0 - 1) <1B4744BF-E5AE-38E2-AA56-E22D3270F2E8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff9706a000 - 0x7fff97070fff com.apple.IOAccelerator (205.10 - 205.10) <E46ED853-C2CC-3F29-A7DD-5E9351A2E754> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
    0x7fff97106000 - 0x7fff97109ff7 com.apple.help (1.3.3 - 46) <35DA4D48-0BC2-35A1-8D7C-40905CDF4F64> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff972c2000 - 0x7fff97369fff com.apple.LanguageModeling (1.0 - 1) <58C18A47-BDE7-3CBE-81C0-797029D170A1> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff9736a000 - 0x7fff97376fff com.apple.SpeechRecognitionCore (2.2.7 - 2.2.7) <6BA06290-D4A3-351C-87F9-B61EF61FF055> /System/Library/PrivateFrameworks/SpeechRecognitionCore.framework/Versions/A/SpeechRecognitionCore
    0x7fff973df000 - 0x7fff973f8fff com.apple.CFOpenDirectory (10.11 - 194) <11F95672-55E0-3F9D-9171-5E8C56AEE948> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff974a5000 - 0x7fff974a5ff7 liblaunch.dylib (765.50.8) <834ED605-5114-3641-AA4D-ECF31B801C50> /usr/lib/system/liblaunch.dylib
    0x7fff974a6000 - 0x7fff974a8fff com.apple.loginsupport (1.0 - 1) <9B2F5F9B-ED38-313F-B798-D2B667BCD6B5> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 12261
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=294.1M resident=0K(0%) swapped_out_or_unallocated=294.1M(100%)
Writable regions: Total=126.2M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=126.2M(100%)
 
                                VIRTUAL REGION
REGION TYPE SIZE COUNT (non-coalesced)
=========== ======= =======
Activity Tracing 2048K 2
CG backing stores 2028K 2
CG shared images 176K 6
CoreAnimation 16K 3
CoreUI image file 160K 3
Dispatch continuations 16.0M 2
Kernel Alloc Once 8K 3
MALLOC 76.4M 22
MALLOC guard page 32K 7
Memory Tag 242 12K 2
STACK GUARD 56.0M 11
Stack 12.1M 11
VM_ALLOCATE 48K 7
__DATA 21.1M 294
__IMAGE 528K 2
__LINKEDIT 113.3M 102
__TEXT 180.9M 288
__UNICODE 552K 2
mapped file 111.2M 48
shared memory 16.3M 10
=========== ======= =======
TOTAL 608.8M 807

Model: MacBookPro11,3, BootROM MBP112.0138.B17, 4 processors, Intel Core i7, 2.6 GHz, 16 GB, SMC 2.19f12
Graphics: Intel Iris Pro, Intel Iris Pro, Built-In
Graphics: NVIDIA GeForce GT 750M, NVIDIA GeForce GT 750M, PCIe, 2048 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343147533641465238412D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x134), Broadcom BCM43xx 1.0 (7.21.95.175.1a6)
Bluetooth: Version 4.4.5f3 17904, 3 services, 18 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SM1024F, 1 TB
USB Device: USB 3.0 Bus
USB Device: Apple Internal Keyboard / Trackpad
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
Thunderbolt Bus: MacBook Pro, Apple Inc., 17.1
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004044)
gpasero (administrator)
2017-02-24 10:20

Hi, I don't reproduce the issue on MacOS 10.10.2. Could you do some checks in order to narrow down the issue :

* try to run the following command line launchers from a terminal and without any parameter :
  > bin/otbcli_BundleToPerfectSensor
  > bin/otbcli_Superimpose
  > bin/otbcli_Pansharpening
* launch the BundleToPerfectSensor application from monteverdi
(0004058)
gpasero (administrator)
2017-03-02 16:36

I pushed a fix :
* https://git.orfeo-toolbox.org/otb.git/commit/184e9590c3251d583149de02eba1a07e7adeb58c [^]
* https://git.orfeo-toolbox.org/otb.git/commit/4fea1157a6ca8ae2ba6a5d68a95b9667f8a4dd18 [^]

The OTB applications dependencies were not processed during package building.
And the old LC_RPATH command was hidding the issue on leod.
(0004063)
gpasero (administrator)
2017-03-03 12:08

Fix is working fine.
(0004066)
gpasero (administrator)
2017-03-06 10:44

My thanks to the users who reported the issue. If you want to test MacOS X packages after the fix, you can download latest nightly builds at : https://www.orfeo-toolbox.org/packages/nightly/latest/ [^]

- Issue History
Date Modified Username Field Change
2017-02-22 20:41 vfdev-5 New Issue
2017-02-24 10:20 gpasero Note Added: 0004044
2017-02-24 10:20 gpasero Assigned To => gpasero
2017-02-24 10:20 gpasero Status new => feedback
2017-03-02 16:36 gpasero Note Added: 0004058
2017-03-02 16:36 gpasero Status feedback => assigned
2017-03-03 12:08 gpasero Note Added: 0004063
2017-03-03 12:08 gpasero Status assigned => resolved
2017-03-03 12:08 gpasero Resolution open => fixed
2017-03-06 10:44 gpasero Note Added: 0004066


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker